Flash 8 is required.